<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full flex flex-col">
  <div class="w-full grow p-4 relative">
    <div class="absolute top-0 left-0 flex h-full w-full">
      <div class="w-[62px] h-full rounded-tl-sm rounded-bl-sm" style="background-color: rgb(1, 30, 58)"></div>
      <div class="grow h-full rounded-tr-sm rounded-br-sm" style="background-color: rgb(0, 34, 64)"></div>
    </div>
    <ace
      #editor
      style="height: 100%; width: 100%"
      [disabled]="false"
      [mode]="mode ?? 'json'"
      theme="cobalt"
      [config]="config"
      [value]="value"
      (valueChange)="onChange($event)"
    >
    </ace>
  </div>
  <div class="pt-5 flex items-center shrink-0">
    <app-platform-copy *ngIf="allowCopy" [textToCopy]="value"></app-platform-copy>
  </div>
</div>
